> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/authorization/get-role/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get an individual role GET https://example.itential.io/authorization/roles/{roleId} Returns an individual role. Reference: https://docs.itential.com/itential-cloud/api-reference/authorization/get-role ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `roleId` (string, required) — The id for the requested role. ## Response ### 200 The individual role document. - `provenance` (string, required) - `name` (string, required) - `description` (string, required) - `allowedMethods` (list of object, required) - `name` (string, optional) - `provenance` (string, optional) - `allowedViews` (list of object, required) - `path` (string, optional) - `provenance` (string, optional) - `_meta` (object, optional) - `created` (string, optional) - `updated` (string, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "provenance": "Custom", "name": "role_1", "description": "description of role_1", "allowedMethods": [ { "name": "methodName", "provenance": "ApplicationName" } ], "allowedViews": [ { "path": "/manual/task/path", "provenance": "ApplicationName" } ], "_meta": { "created": "2018-08-02T15:56:12.912Z", "updated": "2018-08-02T15:56:12.912Z" } } ``` **SDK Code** ```python import requests url = "https://example.itential.io/authorization/roles/roleId" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/authorization/roles/roleId'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/authorization/roles/roleId" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/authorization/roles/roleId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/authorization/roles/roleId") .asString(); ``` ```php request('GET', 'https://example.itential.io/authorization/roles/roleId'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/authorization/roles/roleId"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/authorization/roles/roleId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```